/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

//== Stay Connected Custom Footer
.stay-connected-section {
  border-bottom: 1px solid lighten(@brand-secondary, 10%);

  // Center the mailing list button.
  .mailing-icon-container {
    max-width: max-content;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 4rem;
  }

  // Hover effect for mailing list button. Darkens the background circle on
  // hover.
  .mailing-icon:hover {
    color: darken(@white, 10%);

    .fa-circle {
      color: darken(@brand-primary, 10%);
    }
  }

  // Hover effect for social icons. Darkens the background circle on hover.
  .social-icons .fa-stack:hover .fa-circle {
    color: darken(@white, 10%);
  }

  .social-icons .fa img {
    padding: 30%;
  }
}

//== Back to Top

#back-to-top a {
  background-color: #000;

  &:hover {
    background-color: lighten(#000, 10%);
  }
}

//== Footer
#footer {
  .menu-heading {
    font-size: @font-size-lg;

    &:before,
    &:after {
      // Remove row pseudoelements as they are causing alignment issues.
      content: none;
      display: none;
    }
  }

  .footer-end-social-links .fa-stack-1x {
    color: @brand-secondary;
  }

  .footer-end-social-links img {
    // Make the image icon smaller. Similar to Font Awesome's icon sizes.
    width: 100%;
    padding: 22%;
  }
}

#copyright {
  padding: 0;
}

@media (min-width: @screen-sm-min) {
  #footer {
    .footer-sections {
      justify-content: space-between;

      &::before,
      &::after {
        content: none;
      }
    }
  }
}
